Subject: Re: bug#65799: 29.1.50; Typo in elisp manual

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Sep 2023 16:17:35 +0300

> From: Sebastian Miele <[email-masked]>
> Date: Thu, 07 Sep 2023 13:51:12 +0200
> 
> In GNU Emacs 29.1.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
>  3.24.38, cairo version 1.17.8) of 2023-09-06 built on huette
> Repository revision: 9e9f61866e7dab6f805fac0e2fb03e786e32f6b3
> 
> diff --git a/doc/lispref/strings.texi b/doc/lispref/strings.texi
> index 3d86a87516b..7d11db49def 100644
> --- a/doc/lispref/strings.texi
> +++ b/doc/lispref/strings.texi
> @@ -754,7 +754,7 @@ Text Comparison
>  @defun string-search needle haystack &optional start-pos
>  Return the position of the first instance of @var{needle} in
>  @var{haystack}, both of which are strings.  If @var{start-pos} is
> -non-@code{nil}, start searching from that position in @var{needle}.
> +non-@code{nil}, start searching from that position in @var{haystack}.
>  Return @code{nil} if no match was found.
>  This function only considers the characters in the strings when doing
>  the comparison; text properties are ignored.  Matching is always

Thanks, installed on the emacs-29 branch, and closing the bug.